Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002145graphvizOtherpublic2011-10-15 07:452011-11-08 11:39
Reporterasjo 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0002145: area elements in imagemaps (cmapx) of type poly are generated with invalid coords attribute values
DescriptionWhen you generate an imagemap with, say, dot, the coords attribute contains space-separated pairs of comma-separated x,y points.

This is invalid according to the HTML standard - there must be commas all the way.

I thought this was a bug in the HTML validator on http://validator.nu/ [^] and reported it there before checking the specification, and the kind people there enlightened me: http://bugzilla.validator.nu/show_bug.cgi?id=863#c0 [^]
Steps To Reproducetest.dot:

graph {
        "Test" [ label="test" URL="http://example.com/" [^] ]
}

running:

dot -T cmapx test.dot

gives this output:

<map id="_anonymous_0" name="_anonymous_0">
<area shape="poly" id="node1" href="http://example.com/" [^] title="test" alt="" coords="88,31 86,23 80,16 71,11 59,7 47,6 34,7 22,11 13,16 7,23 5,31 7,38 13,45 22,50 34,54 47,55 59,54 71,50 80,45 86,38"/>
</map>

The expected value of the coords attribute was:

88,31,86,23,80,16,71,11,59,7,47,6,34,7,22,11,13,16,7,23,5,31,7,38,13,45,22,50,34,54,47,55,59,54,71,50,80,45,86,38

See: http://www.w3.org/TR/html4/struct/objects.html#adef-coords [^]
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSIONdot - graphviz version 2.26.3 (20100126.1600)
Attached Files

- Relationships

-  Notes
User avatar (0000083)
ellson (administrator)
2011-10-15 10:27

This bug was fixed in the 2.28 stable release.
User avatar (0000084)
asjo (reporter)
2011-10-15 11:08

Thanks!

I tried searching the bug reports but didn't find the previous report.

I have filed a bug in Debian asking for 2.28 to be packaged.

- Issue History
Date Modified Username Field Change
2011-10-15 07:45 asjo New Issue
2011-10-15 10:27 ellson Note Added: 0000083
2011-10-15 11:08 asjo Note Added: 0000084
2011-10-17 16:18 erg Status new => closed
2011-11-08 11:39 erg Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker